#### D.2.8.8 maxdeg

Procedure from library `poly.lib` (see poly_lib).

Usage:
  maxdeg(id); id poly/ideal/vector/module/matrix

Return:
  int/intmat, each component equals maximal degree of monomials in the corresponding component of id, independent of ring ordering (maxdeg of each var is 1).
  Of type int, if id is of type poly; of type intmat otherwise

Example:

    LIB "poly.lib";
    ring r = 0,(x,y,z),wp(1,2,3);
    poly f = x+y2+z3;
    deg(f);             //deg; returns weighted degree (in case of 1 block)!
    ==> 9
    maxdeg(f);
    ==> 3
    matrix m[2][2]=f+x10,1,0,f^2;
    maxdeg(m);
    ==> 10,0,
    ==> -1,6

See also: maxdeg1.

User manual for Singular version 4-0-3, 2016, generated by texi2html.